For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetSmartQueueRealtimeMetrics
        • POSTGetSmartQueueDayHistory
        • POSTRequestSmartQueueHistory
        • POSTGetSQState
        • POSTSQ_SetAgentCustomStatusMapping
        • POSTSQ_GetAgentCustomStatusMapping
        • POSTSQ_DeleteAgentCustomStatusMapping
        • POSTSQ_AddQueue
        • POSTSQ_SetQueueInfo
        • POSTSQ_DelQueue
        • POSTSQ_GetQueues
        • POSTSQ_AddSkill
        • POSTSQ_DelSkill
        • POSTSQ_SetSkillInfo
        • POSTSQ_BindSkill
        • POSTSQ_UnbindSkill
        • POSTSQ_GetSkills
        • POSTSQ_BindAgent
        • POSTSQ_UnbindAgent
        • POSTSQ_GetAgents
        • POSTSQ_SetAgentInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSmartQueue

SQ_GetSkills

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SQ_GetSkills
POST
/platform_api/SQ_GetSkills
$curl -X POST "https://api.voximplant.com/platform_api/SQ_GetSkills?application_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "sq_skill_id": 2,
5 "description": "",
6 "created": "2020-01-19 14:10:03",
7 "modified": "2020-02-1 09:22:34",
8 "sq_skill_name:": "mySkill2"
9 },
10 {
11 "sq_skill_id": 4,
12 "description": "",
13 "created": "2020-01-19 14:10:03",
14 "modified": "2020-02-1 09:22:34",
15 "sq_skill_name:": "myQueue4"
16 }
17 ],
18 "count": 2,
19 "total_count": 10
20}

Gets the skill(s).

Example request: Get the skills with id 2 and 4

Was this page helpful?
Previous

SQ_UnbindSkill

Next

SQ_BindAgent

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

user_idlist of integersOptional

List of user IDs separated by semicolons (;)

user_namelist of stringsOptional

List of user names separated by semicolons (;). Can be used instead of user_id

sq_skill_idlist of integersOptional

List of skill IDs separated by semicolons (;)

sq_skill_namelist of stringsOptional

List of skill names separated by semicolons (;). Can be used instead of sq_skill_id

sq_skill_name_templatestringOptional

Substring of the skill name to filter, case-insensitive

excluded_user_idintegerOptional
ID of the user that is not bound to the skill
excluded_user_namestringOptional

Name of the user that is not bound to the skill. Can be used instead of excluded_user_id

countintegerOptionalDefaults to 20
Number of items to show in the output
offsetintegerOptionalDefaults to 0
Number of items to skip in the output

Response

Successful response
resultlist of objects

The found skill(s).

countinteger
total_countinteger

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.